'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const nextEnv = require('@next/env');
const path = require('path');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e["default"] : e; }

const nextEnv__default = /*#__PURE__*/_interopDefaultLegacy(nextEnv);
const path__default = /*#__PURE__*/_interopDefaultLegacy(path);

function loadEnv(opts = {}) {
  const pwd = process.env.PWD || "";
  let dev = (process.env.NODE_ENV || "development") === "development";
  let mainEnv = {};
  let parentEnv = {};
  if (opts.production)
    dev = false;
  if (opts.parent) {
    parentEnv = nextEnv__default.loadEnvConfig(
      path__default.resolve(pwd, opts.parent),
      dev
    ).combinedEnv;
  }
  mainEnv = nextEnv__default.loadEnvConfig(
    path__default.resolve(pwd, opts.dir || "./"),
    dev,
    void 0,
    true
  ).combinedEnv;
  Object.assign(
    process.env,
    {
      NODE_ENV: process.env.NODE_ENV || (dev ? "development" : "production"),
      ...parentEnv,
      ...mainEnv
    }
  );
}

exports.loadEnv = loadEnv;
