import nextEnv from '@next/env';
import path from 'path';

function loadEnv(opts = {}) {
  const pwd = process.env.PWD || "";
  let dev = (process.env.NODE_ENV || "development") === "development";
  let mainEnv = {};
  let parentEnv = {};
  if (opts.production)
    dev = false;
  if (opts.parent) {
    parentEnv = nextEnv.loadEnvConfig(
      path.resolve(pwd, opts.parent),
      dev
    ).combinedEnv;
  }
  mainEnv = nextEnv.loadEnvConfig(
    path.resolve(pwd, opts.dir || "./"),
    dev,
    void 0,
    true
  ).combinedEnv;
  Object.assign(
    process.env,
    {
      NODE_ENV: process.env.NODE_ENV || (dev ? "development" : "production"),
      ...parentEnv,
      ...mainEnv
    }
  );
}

export { loadEnv };
